- entityDefinitions:
  - IDI_Task_ViewElementContent: '{9c90e09a-2efc-4ebd-92e6-c0767ac3fbfd}'
  - IDI_Task_EditElementContent: '{e4f898f5-8cf6-48bf-88de-e0533b93e26c}'
  - IDE_ViewElementContent: '{e68bb6c4-29eb-4c77-908a-1b3793c952bc}'
  - IDE_EditElementContent: '{4eb51e99-b3e2-4cc1-88e3-6bd2ee1bcde7}'
  - IDE_ElementContent_Summary: '{a639e587-f8a5-4503-afb6-08e98cb40a09}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
    
  - sequenceTask: '&IDI_Task_ViewElementContent;'
    name: 'View Element Content'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: View Element Content
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_ElementContent;'
    initiatingElement: '&IDE_ViewElementContent;'
    
  - sequenceTask: '&IDI_Task_EditElementContent;'
    name: 'Edit Element Content'
    schedulable: no
    longRunning: no
    suppressRIHints: no
    stepName: Edit Element Content
    showSpreadsheetButtonOnSelection: no
    taskCategory: '&IDI_TaskCategory_ElementContent;'
    initiatingElement: '&IDE_EditElementContent;'

  - element: '&IDE_ViewElementContent;'
    name: view element content
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{4004bfb2-0f81-4e52-a88b-646ba564be3b}'
      defaultDataType: '&IDE_ElementContent_Summary;'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - element: '&IDE_EditElementContent;'
    name: edit element content
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{0a16fb16-7a3e-4b15-be1a-5ca229e9be62}'
      defaultDataType: '&IDE_ElementContent_Summary;'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'

  - element: '&IDE_ElementContent_Summary;'
    name: element content summary
    moduleId: '&IDI_Module_MochaBaseSystem;'
    elementContents:
    - globalIdentifier: '{cffdab26-d808-41ce-b7b2-1686ef76cb40}'
      defaultDataType: '&IDMB_Instance__get__Global_Identifier;'
      label: 'Global Identifier'
      order: a
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
    - globalIdentifier: '{bce8db21-66e1-4cfb-b398-9f010747c225}'
      defaultDataType: '&IDR_Element_Content__for__Element;'
      label: 'For Element'
      order: aa
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{22eb6d52-6ad9-4b6f-8f59-d7c896cae8ac}'
      defaultDataType: '&IDA_Order;'
      label: 'Order'
      order: b

    - globalIdentifier: '{e68a3197-3083-4a9e-a2db-17a2e2c28afd}'
      defaultDataType: '&IDR_Element_Content__has__Instance;'
      label: 'Default Data Type'
      order: c
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{6a050800-719f-4f78-a15e-d716afe102b6}'
      defaultDataType: '&IDR_Element_Content__has__Instance;'
      label: 'Data Type Override'
      order: d

    - globalIdentifier: '{d33ff08a-73ea-440e-99c3-bebb3e00317f}'
      defaultDataType: '&IDR_Element_Content__built_from__BEM_Process;'
      label: 'BEM Process'
      order: e

    - globalIdentifier: '{34cb2c49-c017-4191-a917-d028a2a41123}'
      defaultDataType: '&IDA_Label;'
      label: 'Default Label'
      order: f
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'

    - globalIdentifier: '{f71b9a3e-fa4f-4328-a17e-3ae9ada3bedd}'
      defaultDataType: '&IDA_LabelOverride;'
      label: 'Override Label'
      order: g

    - globalIdentifier: '{40b7c350-801b-46ed-a0ef-e133b1c61c27}'
      defaultDataType: '&IDR_Element_Content__has__Element_Content_Display_Option;'
      label: 'Uses Display Options'
      order: h